# -*- encoding: utf-8 -*-

lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)

require 'rbpass'

Gem::Specification.new do |spec|
  spec.name          = 'rbpass'
  spec.version       = RbPass::VERSION
  spec.license       = 'MIT'
  spec.authors       = ['Pablo Elices']
  spec.email         = ['contact@pabloelic.es']
  spec.summary       = 'Ruby port of PHPass, a portable password hashing framework written in PHP.'
  spec.description   = <<-EOF
    Ruby port of phpass, a portable password hashing framework written in PHP.
    PHPass is used by WordPress, bbPress, Vanilla Forums, PivotX and phpBB.
  EOF
  spec.homepage      = 'https://github.com/pabloelices/rbpass'
  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}).map{ |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ['lib']
end